Subject: bug#35328: 27.0.50; Lisp reference, "Accepting Output": Should describe what happens to standard error

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Apr 2019 22:12:11 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Sun, 21 Apr 2019 15:58:11 +0200
> Cc: [email-masked]
> 
> > > Does the code
> > > (while (accept-process-output PROC))
> > > also ensure that all of the standard error has been read and passed to
> > > the filter/inserted into the buffer?
> >
> > I don't think I understand why you say that node doesn't already
> > answer this question.  Why did you think standard error is special in
> > this regard?
> 
> The node doesn't describe what happens with standard error, e.g.
> whether standard error is part of "output" and how it's handled.

Well, it says "output", not "standard output".  I take it to mean both
output streams.  If the text is interpreted to mean both streams, is
it accurate?  If it is, we only need to clarify that both standard
output and standard error are included.